Upload file
curl --request POST \
--url https://api.debbiecollect.com/v1/{tenantId}/files \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "Base64 encoded file content",
"contentType": "application/pdf",
"name": "file.pdf"
}
'import requests
url = "https://api.debbiecollect.com/v1/{tenantId}/files"
payload = {
"content": "Base64 encoded file content",
"contentType": "application/pdf",
"name": "file.pdf"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: 'Base64 encoded file content',
contentType: 'application/pdf',
name: 'file.pdf'
})
};
fetch('https://api.debbiecollect.com/v1/{tenantId}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "8d9f0c1e-2b3a-4c5d-6e7f-8a9b0c1d2e3f",
"fileName": "file.pdf",
"contentType": "application/pdf"
}Files
Create file
Upload file allows the api consumer to upload files
POST
/
v1
/
{tenantId}
/
files
Upload file
Authorizations
Authentication can be done by using a bearer token in the Authorization header. This is done using the following format Authorization: Bearer {token}.
Path Parameters
Id of the tenant the file is being created for
Body
application/json
New file object
⌘I